/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details used to add a route distribution statement.
 *
 */
export interface AddDrgRouteDistributionStatementDetails {
    /**
     * The action is applied only if all of the match criteria is met.
     * If there are no match criteria in a statement, match ALL is implied.
     *
     */
    "matchCriteria": Array<model.DrgRouteDistributionMatchCriteria>;
    /**
     * Accept: import/export the route \"as is\"
     *
     */
    "action": AddDrgRouteDistributionStatementDetails.Action;
    /**
     * This field is used to specify the priority of each statement in a route distribution.
     * The priority will be represented as a number between 0 and 65535 where a lower number
     * indicates a higher priority. When a route is processed, statements are applied in the order
     * defined by their priority. The first matching rule dictates the action that will be taken
     * on the route.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "priority": number;
}
export declare namespace AddDrgRouteDistributionStatementDetails {
    enum Action {
        Accept = "ACCEPT"
    }
    function getJsonObj(obj: AddDrgRouteDistributionStatementDetails): object;
    function getDeserializedJsonObj(obj: AddDrgRouteDistributionStatementDetails): object;
}
