/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Condensed instance data when listing instances in a compute capacity reservation.
 */
export interface CapacityReservationInstanceSummary {
    /**
     * The OCID of the instance.
     */
    "id": string;
    /**
     * The availability domain the instance is running in.
     */
    "availabilityDomain": string;
    /**
     * The OCID of the compartment that contains the instance.
     */
    "compartmentId": string;
    /**
     * The fault domain the instance is running in.
     */
    "faultDomain"?: string;
    "shapeConfig"?: model.InstanceReservationShapeConfigDetails;
    /**
      * The shape of the instance. The shape determines the number of CPUs, amount of memory,
  * and other resources allocated to the instance.
  * <p>
  You can enumerate all available shapes by calling {@link #listComputeCapacityReservationInstanceShapes(ListComputeCapacityReservationInstanceShapesRequest) listComputeCapacityReservationInstanceShapes}.
  *
      */
    "shape": string;
}
export declare namespace CapacityReservationInstanceSummary {
    function getJsonObj(obj: CapacityReservationInstanceSummary): object;
    function getDeserializedJsonObj(obj: CapacityReservationInstanceSummary): object;
}
