"use strict";
/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateIPSecConnectionTunnelDetails = void 0;
const model = __importStar(require("../model"));
var CreateIPSecConnectionTunnelDetails;
(function (CreateIPSecConnectionTunnelDetails) {
    let Routing;
    (function (Routing) {
        Routing["Bgp"] = "BGP";
        Routing["Static"] = "STATIC";
        Routing["Policy"] = "POLICY";
    })(Routing = CreateIPSecConnectionTunnelDetails.Routing || (CreateIPSecConnectionTunnelDetails.Routing = {}));
    let IkeVersion;
    (function (IkeVersion) {
        IkeVersion["V1"] = "V1";
        IkeVersion["V2"] = "V2";
    })(IkeVersion = CreateIPSecConnectionTunnelDetails.IkeVersion || (CreateIPSecConnectionTunnelDetails.IkeVersion = {}));
    let OracleInitiation;
    (function (OracleInitiation) {
        OracleInitiation["InitiatorOrResponder"] = "INITIATOR_OR_RESPONDER";
        OracleInitiation["ResponderOnly"] = "RESPONDER_ONLY";
    })(OracleInitiation = CreateIPSecConnectionTunnelDetails.OracleInitiation || (CreateIPSecConnectionTunnelDetails.OracleInitiation = {}));
    let NatTranslationEnabled;
    (function (NatTranslationEnabled) {
        NatTranslationEnabled["Enabled"] = "ENABLED";
        NatTranslationEnabled["Disabled"] = "DISABLED";
        NatTranslationEnabled["Auto"] = "AUTO";
    })(NatTranslationEnabled = CreateIPSecConnectionTunnelDetails.NatTranslationEnabled || (CreateIPSecConnectionTunnelDetails.NatTranslationEnabled = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "bgpSessionConfig": obj.bgpSessionConfig
                ? model.CreateIPSecTunnelBgpSessionDetails.getJsonObj(obj.bgpSessionConfig)
                : undefined,
            "phaseOneConfig": obj.phaseOneConfig
                ? model.PhaseOneConfigDetails.getJsonObj(obj.phaseOneConfig)
                : undefined,
            "phaseTwoConfig": obj.phaseTwoConfig
                ? model.PhaseTwoConfigDetails.getJsonObj(obj.phaseTwoConfig)
                : undefined,
            "dpdConfig": obj.dpdConfig ? model.DpdConfig.getJsonObj(obj.dpdConfig) : undefined,
            "encryptionDomainConfig": obj.encryptionDomainConfig
                ? model.CreateIPSecTunnelEncryptionDomainDetails.getJsonObj(obj.encryptionDomainConfig)
                : undefined
        });
        return jsonObj;
    }
    CreateIPSecConnectionTunnelDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "bgpSessionConfig": obj.bgpSessionConfig
                ? model.CreateIPSecTunnelBgpSessionDetails.getDeserializedJsonObj(obj.bgpSessionConfig)
                : undefined,
            "phaseOneConfig": obj.phaseOneConfig
                ? model.PhaseOneConfigDetails.getDeserializedJsonObj(obj.phaseOneConfig)
                : undefined,
            "phaseTwoConfig": obj.phaseTwoConfig
                ? model.PhaseTwoConfigDetails.getDeserializedJsonObj(obj.phaseTwoConfig)
                : undefined,
            "dpdConfig": obj.dpdConfig
                ? model.DpdConfig.getDeserializedJsonObj(obj.dpdConfig)
                : undefined,
            "encryptionDomainConfig": obj.encryptionDomainConfig
                ? model.CreateIPSecTunnelEncryptionDomainDetails.getDeserializedJsonObj(obj.encryptionDomainConfig)
                : undefined
        });
        return jsonObj;
    }
    CreateIPSecConnectionTunnelDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateIPSecConnectionTunnelDetails = exports.CreateIPSecConnectionTunnelDetails || (exports.CreateIPSecConnectionTunnelDetails = {}));
//# sourceMappingURL=create-ip-sec-connection-tunnel-details.js.map