/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* The shape configuration requested when launching instances in a compute capacity reservation.
* <p>
If the parameter is provided, the reservation is created with the resources that you specify. If some
* properties are missing or the parameter is not provided, the reservation is created
* with the default configuration values for the `shape` that you specify.
* <p>
Each shape only supports certain configurable values. If the values that you provide are not valid for the
* specified `shape`, an error is returned.
* <p>
For more information about customizing the resources that are allocated to flexible shapes,
* see [Flexible Shapes](https://docs.cloud.oracle.com/iaas/Content/Compute/References/computeshapes.htm#flexible).
*
*/
export interface InstanceReservationShapeConfigDetails {
    /**
     * The total number of OCPUs available to the instance.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus"?: number;
    /**
     * The total amount of memory available to the instance, in gigabytes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs"?: number;
}
export declare namespace InstanceReservationShapeConfigDetails {
    function getJsonObj(obj: InstanceReservationShapeConfigDetails): object;
    function getDeserializedJsonObj(obj: InstanceReservationShapeConfigDetails): object;
}
