/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Phase 1 Configuration Details
 */
export interface PhaseOneConfigDetails {
    /**
     * Indicates whether custom phase one configuration is enabled.
     */
    "isCustomPhaseOneConfig"?: boolean;
    /**
     * Phase one authentication algorithm supported during tunnel negotiation.
     *
     */
    "authenticationAlgorithm"?: PhaseOneConfigDetails.AuthenticationAlgorithm;
    /**
     * Phase one encryption algorithm supported during tunnel negotiation.
     *
     */
    "encryptionAlgorithm"?: PhaseOneConfigDetails.EncryptionAlgorithm;
    /**
     * Phase One Diffie Hellman group supported during tunnel negotiation.
     *
     */
    "diffieHelmanGroup"?: PhaseOneConfigDetails.DiffieHelmanGroup;
    /**
     * IKE session key lifetime in seconds for IPSec phase one. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "lifetimeInSeconds"?: number;
}
export declare namespace PhaseOneConfigDetails {
    enum AuthenticationAlgorithm {
        Sha2384 = "SHA2_384",
        Sha2256 = "SHA2_256",
        Sha196 = "SHA1_96"
    }
    enum EncryptionAlgorithm {
        Aes256Cbc = "AES_256_CBC",
        Aes192Cbc = "AES_192_CBC",
        Aes128Cbc = "AES_128_CBC"
    }
    enum DiffieHelmanGroup {
        Group2 = "GROUP2",
        Group5 = "GROUP5",
        Group14 = "GROUP14",
        Group19 = "GROUP19",
        Group20 = "GROUP20",
        Group24 = "GROUP24"
    }
    function getJsonObj(obj: PhaseOneConfigDetails): object;
    function getDeserializedJsonObj(obj: PhaseOneConfigDetails): object;
}
