/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines route rule details for a `routesTo` relationship.
 */
export interface TopologyRoutesToRelationshipDetails {
    /**
     * The destinationType can be set to one of two values:
     * <p>
     * Use `CIDR_BLOCK` if the rule's `destination` is an IP address range in CIDR notation.
     * <p>
     * Use `SERVICE_CIDR_BLOCK` if the rule's `destination` is the `cidrBlock` value for a {@link Service}.
     *
     */
    "destinationType": string;
    /**
     * An IP address range in CIDR notation or the `cidrBlock` value for a {@link Service}.
     */
    "destination": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the routing table that contains the route rule.
     */
    "routeTableId": string;
    /**
     * A route rule can be `STATIC` if manually added to the route table or `DYNAMIC` if imported from another route table.
     *
     */
    "routeType"?: TopologyRoutesToRelationshipDetails.RouteType;
}
export declare namespace TopologyRoutesToRelationshipDetails {
    enum RouteType {
        Static = "STATIC",
        Dynamic = "DYNAMIC",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TopologyRoutesToRelationshipDetails): object;
    function getDeserializedJsonObj(obj: TopologyRoutesToRelationshipDetails): object;
}
