/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A public IP prefix and its details. With a public virtual circuit, the customer
 * specifies the customer-owned public IP prefixes to advertise across the connection.
 * For more information, see [FastConnect Overview](https://docs.cloud.oracle.com/iaas/Content/Network/Concepts/fastconnect.htm).
 *
 */
export interface VirtualCircuitPublicPrefix {
    /**
     * Publix IP prefix (CIDR) that the customer specified.
     */
    "cidrBlock": string;
    /**
     * Oracle must verify that the customer owns the public IP prefix before traffic
     * for that prefix can flow across the virtual circuit. Verification can take a
     * few business days. `IN_PROGRESS` means Oracle is verifying the prefix. `COMPLETED`
     * means verification succeeded. `FAILED` means verification failed and traffic for
     * this prefix will not flow across the connection.
     *
     */
    "verificationState": VirtualCircuitPublicPrefix.VerificationState;
}
export declare namespace VirtualCircuitPublicPrefix {
    enum VerificationState {
        InProgress = "IN_PROGRESS",
        Completed = "COMPLETED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: VirtualCircuitPublicPrefix): object;
    function getDeserializedJsonObj(obj: VirtualCircuitPublicPrefix): object;
}
