/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the source volume replica which the volume group will be created from.
 * The volume group replica shoulbe be in the same availability domain as the volume group.
 * Only one volume group can be created from a volume group replica at the same time.
 *
 */
export interface VolumeGroupSourceFromVolumeGroupReplicaDetails extends model.VolumeGroupSourceDetails {
    /**
     * The OCID of the volume group replica.
     */
    "volumeGroupReplicaId": string;
    "type": string;
}
export declare namespace VolumeGroupSourceFromVolumeGroupReplicaDetails {
    function getJsonObj(obj: VolumeGroupSourceFromVolumeGroupReplicaDetails, isParentJsonObj?: boolean): object;
    const type = "volumeGroupReplicaId";
    function getDeserializedJsonObj(obj: VolumeGroupSourceFromVolumeGroupReplicaDetails, isParentJsonObj?: boolean): object;
}
